petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetSolutionUpdate

Returns the vector where the solution update is stored.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetSolutionUpdate(SNES snes,Vec *x)

Not Collective, but Vec is parallel if SNES is parallel

### Input Parameter

snes -the SNES context

### Output Parameter

x -the solution update

### Keywords

SNES, nonlinear, get, solution, update

### See Also

SNESGetSolution(), SNESGetFunction()

### Level

advanced

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages